Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
singularity run fmriprep-1.3.0.simg /home/gholland/data/bias_task/fmriprep_sourcedata/ /home/gholland/data/bias_task/derivatives/ participant --participant-label 01 --fs-license-file ~/license.txt
Making sure the input data is BIDS compliant (warnings can be ignored in most cases).
1: [WARN] You should define 'EffectiveEchoSpacing' for this file. If you don't provide this information field map correction will not be possible. (code: 8 - EFFECTIVE_ECHO_SPACING_NOT_DEFINED)
./sub-01/func/sub-01_task-randomdotmotion_run-01_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-02_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-03_bold.nii
2: [WARN] You should define 'SliceTiming' for this file. If you don't provide this information slice time correction will not be possible. (code: 13 - SLICE_TIMING_NOT_DEFINED)
./sub-01/func/sub-01_task-randomdotmotion_run-01_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-02_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-03_bold.nii
3: [WARN] Nifti file's header field for unit information for x, y, z, and t dimensions empty or too short (code: 41 - NIFTI_UNIT)
./sub-01/anat/sub-01_T1w.nii
Summary: Available Tasks: Available Modalities:
100 Files, 41.27GB Random dot motion task with value-based biases T1w
14 - Subjects bold
1 - Session fieldmap
If you have any questions please post on https://neurostars.org/tags/bids
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/site-packages/nilearn/datasets/neurovault.py:16: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
from collections import Container
/usr/local/miniconda/lib/python3.7/site-packages/datalad/utils.py:71: DeprecationWarning: dist() and linux_distribution() functions are deprecated in Python 3.5
= platform.linux_distribution()[:2]
/usr/local/miniconda/lib/python3.7/site-packages/datalad/utils.py:847: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
is_decorating = not kwargs and len(args) == 1 and isinstance(args[0], collections.Callable)
/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/param.py:30: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
_KNOWN_ARGS = getargspec(argparse.Action.__init__)[0] + ['action']
/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/base.py:216: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
args, varargs, varkw, defaults = getargspec(func)
/usr/local/miniconda/lib/python3.7/site-packages/skimage/__init__.py:80: ResourceWarning: unclosed file <_io.TextIOWrapper name='/usr/local/miniconda/lib/python3.7/site-packages/pytest.py' mode='r' encoding='utf-8'>
imp.find_module('pytest')
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
190208-14:54:52,797 nipype.workflow IMPORTANT:
Running fMRIPREP version 1.3.0:
* BIDS dataset path: /home/gholland/data/bias_task/fmriprep_sourcedata.
* Participant list: ['01'].
* Run identifier: 20190208-145452_dffae0c2-129b-45e5-8719-daff90cb9157.
/usr/local/miniconda/lib/python3.7/site-packages/networkx/classes/reportviews.py:95: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
from collections import Mapping, Set, Iterable
/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/base.py:480: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
argspec = getargspec(call)
[WARNING] It is highly recommended to configure git first (set both user.name and user.email) before using DataLad. Failed to verify that git is configured: CommandError: command '['git', 'config', 'user.name']' failed with exitcode 1
| Failed to run ['git', 'config', 'user.name'] under None. Exit code=1. out= err= [cmd.py:run:530]CommandError: command '['git', 'config', 'user.email']' failed with exitcode 1
| Failed to run ['git', 'config', 'user.email'] under None. Exit code=1. out= err= [cmd.py:run:530]. Some operations might fail or not perform correctly.
/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/base.py:480: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
argspec = getargspec(call)
Process Process-2:
Traceback (most recent call last):
File "/usr/local/miniconda/lib/python3.7/multiprocessing/process.py", line 297, in _bootstrap
self.run()
File "/usr/local/miniconda/lib/python3.7/multiprocessing/process.py", line 99, in run
self._target(*self._args, **self._kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/cli/run.py", line 751, in build_workflow
ignore_aroma_err=opts.ignore_aroma_denoising_errors,
File "/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/workflows/base.py", line 218, in init_fmriprep_wf
ignore_aroma_err=ignore_aroma_err,
File "/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/workflows/base.py", line 461, in init_single_subject_wf
name="anat_preproc_wf",
File "/usr/local/miniconda/lib/python3.7/site-packages/smriprep/workflows/anatomical.py", line 237, in init_anat_preproc_wf
omp_nthreads=omp_nthreads)
File "/usr/local/miniconda/lib/python3.7/site-packages/smriprep/workflows/anatomical.py", line 621, in init_skullstrip_ants_wf
t1_skull_strip.inputs.brain_template = get_template(skull_strip_template, 'res-01_T1w.nii.gz')
File "/usr/local/miniconda/lib/python3.7/site-packages/templateflow/api.py", line 24, in get
out_file = api.get(filepath)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 478, in eval_func
return return_func(generator_func)(*args, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 466, in return_func
results = list(results)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 421, in generator_func
result_renderer, result_xfm, _result_filter, **_kwargs):
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 490, in _process_results
for res in results:
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/distribution/get.py", line 622, in __call__
jobs=jobs):
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/gitrepo.py", line 301, in newfunc
result = func(self, files_new, *args, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1300, in get
files, ['--not', '--in', 'here'])
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1361, in _get_expected_files
'find', opts=expr, files=files
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 2381, in _run_annex_command_json
raise e
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 2297, in _run_annex_command_json
**kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1053, in _run_annex_command
raise e
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1045, in _run_annex_command
return self.cmd_call_wrapper.run(cmd_list, env=env, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/cmd.py", line 670, in run
cmd, env=self.get_git_environ_adjusted(env), *args, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/cmd.py", line 530, in run
raise CommandError(str(cmd), msg, status, out[0], out[1])
datalad.support.exceptions.CommandError: CommandError: command '['git', '-c', 'receive.autogc=0', '-c', 'gc.auto=0', 'annex', 'find', '--json', '--not', '--in', 'here', '--', 'tpl-OASIS30ANTs_res-01_T1w.nii.gz']' failed with exitcode 1
Failed to run ['git', '-c', 'receive.autogc=0', '-c', 'gc.auto=0', 'annex', 'find', '--json', '--not', '--in', 'here', '--', 'tpl-OASIS30ANTs_res-01_T1w.nii.gz'] under '/opt/templateflow/tpl-OASIS30ANTs'. Exit code=1. out= err=git-annex: .git/annex/journal.lck: openFd: permission denied (Permission denied)
>gholland@r11n13:~$ singularity build ./fmriprep-1.3.0.post1.simg docker://poldracklab/fmriprep:1.3.0.post1
Docker image path: index.docker.io/poldracklab/fmriprep:1.3.0.post1
Cache folder set to /home/gholland/.singularity/docker
[11/11] |===================================| 100.0%
Importing: base Singularity environment
Exploding layer: sha256:c832082614738021cf51d68e84457a45a3f85dbe0ddbb93000c5dc5aae77fe93.tar.gz
Exploding layer: sha256:6e1a85c1d66a18674bdb5cee0a7d6b294aa4f1921d3a13074004d00485868051.tar.gz
Exploding layer: sha256:f1320ef45e201689247f36b8e037ed8de21532f952be224586cb96b43a495f36.tar.gz
Exploding layer: sha256:5a6ab6e6fbf62623bce0db5c75f3775f287c7b86cd0152b01ab09275f1d9f540.tar.gz
Exploding layer: sha256:6fd240c277673683f0b16a0d7903c036c307954976e19e2f82a6873327d1d69b.tar.gz
Exploding layer: sha256:4b9b9707336e4f14ace065404fd20bd27ef049f3090e74e9fe1db049bb4883f3.tar.gz
Exploding layer: sha256:862caf442a1c3ae107b5b7539899c42945233bc57ff2e5987a85ecf610691a39.tar.gz
Exploding layer: sha256:f86ffe633d29b22adf7c810c166695816f0d69013a6d7939b70151246421c865.tar.gz
Exploding layer: sha256:953c27ee92677735d70fcd23a8701e17fe9e45b601e99bbecd61612568806d56.tar.gz
Exploding layer: sha256:59d261ca002b69555013acafd4c3880a1a603f7a2f0876847ce6ec91cb99e0bc.tar.gz
Exploding layer: sha256:d6313008e492027c0ee047bf8f7b2bd84707649cec054ddf8d1678f818a778ae.tar.gz
WARNING: Warning reading tar header: Ignoring malformed pax extended attribute
WARNING: Warning reading tar header: Ignoring malformed pax extended attribute
Exploding layer: sha256:b7a8f03d9b42a0a26b4d165f808de8938282760b3d82f46528032cc4aae50410.tar.gz
Exploding layer: sha256:7b4148533d5e1c73822ffbda35cc6ac8e9782b8854e50590268b7ec5d881c5e7.tar.gz
Exploding layer: sha256:66108217b41f85144eacfccd54c79205289306196b685455067d07e1988264b1.tar.gz
Exploding layer: sha256:32a8952ad0b54263cfa9100cdc776f8bbf68e0162240494e0e0dc267e25d4852.tar.gz
Exploding layer: sha256:6fa7b3c219ef9f59ab93946dcf3b3ace36135b1337270e28ebf87d3617e82b04.tar.gz
Exploding layer: sha256:7e85f3579a06c5f0384cf0406af3f22a6ba4701ee3c0ddc588ec8b94f04fd834.tar.gz
Exploding layer: sha256:7a0f6d325044b059b85f161aff11b3960d3abb2a1b7905a338dc0701ae156d67.tar.gz
Exploding layer: sha256:faf4f6f709593572999bd40b7de1078b1c3bec2572c9f7f8a3112ed2b4b9885c.tar.gz
Exploding layer: sha256:8154532e2fbf225db38bef9435a0e629cf09ecff7497a25b2f7a4da05ba216f9.tar.gz
Exploding layer: sha256:97e6d1977928848f4ccc0e361065ec672b320e8a007a3dfa23833d9974d649ac.tar.gz
Exploding layer: sha256:ef44147ae9f44187b724f03ab5aa23f63bcb988d0a8c9c828011aa8f591c5f53.tar.gz
Exploding layer: sha256:908dfea094f5583de50ac5857a8cab0bde04c8b2072682796f81d41f7ab569c4.tar.gz
Exploding layer: sha256:3850088e9de30180d91500fafb721ecc1fae7f77e2681481a36c464467d6ffc8.tar.gz
Exploding layer: sha256:8d643d58a9ca391e105ae405636392cc4482b71dffa83ae197617f13371b3232.tar.gz
Exploding layer: sha256:92372612f2613566cc079c178d483dca796fdd9b8989a02247a0ee49370b7018.tar.gz
Exploding layer: sha256:e54d42c2794749949f0c4548af71bc50b96f3aa592daef3a2502257146dd48a4.tar.gz
Exploding layer: sha256:6a72ec30285c2547fbf3668891383756fb0f3d776b5e61ce34966ff3bcdd59e4.tar.gz
Exploding layer: sha256:80ec24e086ec6a957437484a3894dab4428d6a59846c72b1d5b3b6a15141f771.tar.gz
Exploding layer: sha256:fc4d760f6fab88ee750f9a601ef4b0c61e4b09246ef23915d256571e481bb933.tar.gz
Exploding layer: sha256:584a31f338b0089cc104276cbb21ccaa1fc8542c02447bdf2b8e43b544174118.tar.gz
Exploding layer: sha256:bbe7bf41ba1968971b4459d21613f21cf379373951f2906c92f64f72e623fff2.tar.gz
WARNING: Building container as an unprivileged user. If you run this container as root
WARNING: it may be missing some functionality.
Building Singularity image...
Singularity container built: ./fmriprep-1.3.0.post1.simg
Cleaning up...
gholland@r11n13:~$ singularity run fmriprep-1.3.0.post1.simg /home/gholland/data/bias_task/fmriprep_sourcedata/ /home/gholland/data/bias_task/derivatives/ participant --participant-label 01 --fs-license-file ~/license.txt
Making sure the input data is BIDS compliant (warnings can be ignored in most cases).
1: [WARN] You should define 'EffectiveEchoSpacing' for this file. If you don't provide this information field map correction will not be possible. (code: 8 - EFFECTIVE_ECHO_SPACING_NOT_DEFINED)
./sub-01/func/sub-01_task-randomdotmotion_run-01_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-02_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-03_bold.nii
2: [WARN] You should define 'SliceTiming' for this file. If you don't provide this information slice time correction will not be possible. (code: 13 - SLICE_TIMING_NOT_DEFINED)
./sub-01/func/sub-01_task-randomdotmotion_run-01_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-02_bold.nii
./sub-01/func/sub-01_task-randomdotmotion_run-03_bold.nii
3: [WARN] Nifti file's header field for unit information for x, y, z, and t dimensions empty or too short (code: 41 - NIFTI_UNIT)
./sub-01/anat/sub-01_T1w.nii
Summary: Available Tasks: Available Modalities:
100 Files, 41.27GB Random dot motion task with value-based biases T1w
14 - Subjects bold
1 - Session fieldmap
If you have any questions please post on https://neurostars.org/tags/bids
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/site-packages/nilearn/datasets/neurovault.py:16: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
from collections import Container
/usr/local/miniconda/lib/python3.7/site-packages/datalad/utils.py:71: DeprecationWarning: dist() and linux_distribution() functions are deprecated in Python 3.5
= platform.linux_distribution()[:2]
/usr/local/miniconda/lib/python3.7/site-packages/datalad/utils.py:847: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
is_decorating = not kwargs and len(args) == 1 and isinstance(args[0], collections.Callable)
/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/param.py:30: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
_KNOWN_ARGS = getargspec(argparse.Action.__init__)[0] + ['action']
/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/base.py:216: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
args, varargs, varkw, defaults = getargspec(func)
/usr/local/miniconda/lib/python3.7/site-packages/skimage/__init__.py:80: ResourceWarning: unclosed file <_io.TextIOWrapper name='/usr/local/miniconda/lib/python3.7/site-packages/pytest.py' mode='r' encoding='utf-8'>
imp.find_module('pytest')
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__
return f(*args, **kwds)
190209-08:41:26,369 nipype.workflow IMPORTANT:
Running fMRIPREP version 1.3.0.post1:
* BIDS dataset path: /home/gholland/data/bias_task/fmriprep_sourcedata.
* Participant list: ['01'].
* Run identifier: 20190209-084126_5be6c13e-35e3-40de-9a91-7158f8b77373.
/usr/local/miniconda/lib/python3.7/site-packages/networkx/classes/reportviews.py:95: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
from collections import Mapping, Set, Iterable
/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/base.py:480: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
argspec = getargspec(call)
[WARNING] It is highly recommended to configure git first (set both user.name and user.email) before using DataLad. Failed to verify that git is configured: CommandError: command '['git', 'config', 'user.name']' failed with exitcode 1
| Failed to run ['git', 'config', 'user.name'] under None. Exit code=1. out= err= [cmd.py:run:530]CommandError: command '['git', 'config', 'user.email']' failed with exitcode 1
| Failed to run ['git', 'config', 'user.email'] under None. Exit code=1. out= err= [cmd.py:run:530]. Some operations might fail or not perform correctly.
/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/base.py:480: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
argspec = getargspec(call)
Process Process-2:
Traceback (most recent call last):
File "/usr/local/miniconda/lib/python3.7/multiprocessing/process.py", line 297, in _bootstrap
self.run()
File "/usr/local/miniconda/lib/python3.7/multiprocessing/process.py", line 99, in run
self._target(*self._args, **self._kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/cli/run.py", line 751, in build_workflow
ignore_aroma_err=opts.ignore_aroma_denoising_errors,
File "/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/workflows/base.py", line 218, in init_fmriprep_wf
ignore_aroma_err=ignore_aroma_err,
File "/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/workflows/base.py", line 461, in init_single_subject_wf
name="anat_preproc_wf",
File "/usr/local/miniconda/lib/python3.7/site-packages/smriprep/workflows/anatomical.py", line 237, in init_anat_preproc_wf
omp_nthreads=omp_nthreads)
File "/usr/local/miniconda/lib/python3.7/site-packages/smriprep/workflows/anatomical.py", line 621, in init_skullstrip_ants_wf
t1_skull_strip.inputs.brain_template = get_template(skull_strip_template, 'res-01_T1w.nii.gz')
File "/usr/local/miniconda/lib/python3.7/site-packages/templateflow/api.py", line 24, in get
out_file = api.get(filepath)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 478, in eval_func
return return_func(generator_func)(*args, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 466, in return_func
results = list(results)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 421, in generator_func
result_renderer, result_xfm, _result_filter, **_kwargs):
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/utils.py", line 490, in _process_results
for res in results:
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/distribution/get.py", line 622, in __call__
jobs=jobs):
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/gitrepo.py", line 301, in newfunc
result = func(self, files_new, *args, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1300, in get
files, ['--not', '--in', 'here'])
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1361, in _get_expected_files
'find', opts=expr, files=files
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 2381, in _run_annex_command_json
raise e
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 2297, in _run_annex_command_json
**kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1053, in _run_annex_command
raise e
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/annexrepo.py", line 1045, in _run_annex_command
return self.cmd_call_wrapper.run(cmd_list, env=env, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/cmd.py", line 670, in run
cmd, env=self.get_git_environ_adjusted(env), *args, **kwargs)
File "/usr/local/miniconda/lib/python3.7/site-packages/datalad/cmd.py", line 530, in run
raise CommandError(str(cmd), msg, status, out[0], out[1])
datalad.support.exceptions.CommandError: CommandError: command '['git', '-c', 'receive.autogc=0', '-c', 'gc.auto=0', 'annex', 'find', '--json', '--not', '--in', 'here', '--', 'tpl-OASIS30ANTs_res-01_T1w.nii.gz']' failed with exitcode 1
Failed to run ['git', '-c', 'receive.autogc=0', '-c', 'gc.auto=0', 'annex', 'find', '--json', '--not', '--in', 'here', '--', 'tpl-OASIS30ANTs_res-01_T1w.nii.gz'] under '/opt/templateflow/tpl-OASIS30ANTs'. Exit code=1. out= err=git-annex: .git/annex/journal.lck: openFd: permission denied (Permission denied)
@sulantha2006

This comment has been minimized.

Copy link

sulantha2006 commented Feb 12, 2019

Any idea why this occurs? I have the same issue.

@neuro-kf

This comment has been minimized.

Copy link

neuro-kf commented Feb 13, 2019

Same issue but with version 1.3.0.post1 on singularity

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.